org.apache.storm.generated

## Class BoltStats

- java.lang.Object
- - org.apache.storm.generated.BoltStats

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<BoltStats>, org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class BoltStats
      extends Object
      implements org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>, Serializable, Cloneable, Comparable<BoltStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BoltStats._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<BoltStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoltStats()`
    `BoltStats(BoltStats other)` Performs a deep copy on other.
    `BoltStats(Map<String,Map<GlobalStreamId,Long>> acked, Map<String,Map<GlobalStreamId,Long>> failed, Map<String,Map<GlobalStreamId,Double>> process_ms_avg, Map<String,Map<GlobalStreamId,Long>> executed, Map<String,Map<GlobalStreamId,Double>> execute_ms_avg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(BoltStats other)`
    `BoltStats` | `deepCopy()`
    `boolean` | `equals(BoltStats that)`
    `boolean` | `equals(Object that)`
    `BoltStats._Fields` | `fieldForId(int fieldId)`
    `int` | `get_acked_size()`
    `Map<String,Map<GlobalStreamId,Long>>` | `get_acked()`
    `int` | `get_execute_ms_avg_size()`
    `Map<String,Map<GlobalStreamId,Double>>` | `get_execute_ms_avg()`
    `int` | `get_executed_size()`
    `Map<String,Map<GlobalStreamId,Long>>` | `get_executed()`
    `int` | `get_failed_size()`
    `Map<String,Map<GlobalStreamId,Long>>` | `get_failed()`
    `int` | `get_process_ms_avg_size()`
    `Map<String,Map<GlobalStreamId,Double>>` | `get_process_ms_avg()`
    `Object` | `getFieldValue(BoltStats._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_acked()` Returns true if field acked is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_execute_ms_avg()` Returns true if field execute_ms_avg is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_executed()` Returns true if field executed is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_failed()` Returns true if field failed is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_process_ms_avg()` Returns true if field process_ms_avg is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(BoltStats._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_acked(String key, Map<GlobalStreamId,Long> val)`
    `void` | `put_to_execute_ms_avg(String key, Map<GlobalStreamId,Double> val)`
    `void` | `put_to_executed(String key, Map<GlobalStreamId,Long> val)`
    `void` | `put_to_failed(String key, Map<GlobalStreamId,Long> val)`
    `void` | `put_to_process_ms_avg(String key, Map<GlobalStreamId,Double> val)`
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_acked_isSet(boolean value)`
    `void` | `set_acked(Map<String,Map<GlobalStreamId,Long>> acked)`
    `void` | `set_execute_ms_avg_isSet(boolean value)`
    `void` | `set_execute_ms_avg(Map<String,Map<GlobalStreamId,Double>> execute_ms_avg)`
    `void` | `set_executed_isSet(boolean value)`
    `void` | `set_executed(Map<String,Map<GlobalStreamId,Long>> executed)`
    `void` | `set_failed_isSet(boolean value)`
    `void` | `set_failed(Map<String,Map<GlobalStreamId,Long>> failed)`
    `void` | `set_process_ms_avg_isSet(boolean value)`
    `void` | `set_process_ms_avg(Map<String,Map<GlobalStreamId,Double>> process_ms_avg)`
    `void` | `setFieldValue(BoltStats._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_acked()`
    `void` | `unset_execute_ms_avg()`
    `void` | `unset_executed()`
    `void` | `unset_failed()`
    `void` | `unset_process_ms_avg()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<BoltStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### BoltStats

          public BoltStats()

    - #### BoltStats

          public BoltStats(Map<String,Map<GlobalStreamId,Long>> acked,
                           Map<String,Map<GlobalStreamId,Long>> failed,
                           Map<String,Map<GlobalStreamId,Double>> process_ms_avg,
                           Map<String,Map<GlobalStreamId,Long>> executed,
                           Map<String,Map<GlobalStreamId,Double>> execute_ms_avg)

    - #### BoltStats

          public BoltStats(BoltStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BoltStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### get_acked_size

          public int get_acked_size()

    - #### put_to_acked

          public void put_to_acked(String key,
                                   Map<GlobalStreamId,Long> val)

    - #### get_acked

          public Map<String,Map<GlobalStreamId,Long>> get_acked()

    - #### set_acked

          public void set_acked(Map<String,Map<GlobalStreamId,Long>> acked)

    - #### unset_acked

          public void unset_acked()

    - #### is_set_acked

          public boolean is_set_acked()

      Returns true if field acked is set (has been assigned a value) and false otherwise

    - #### set_acked_isSet

          public void set_acked_isSet(boolean value)

    - #### get_failed_size

          public int get_failed_size()

    - #### put_to_failed

          public void put_to_failed(String key,
                                    Map<GlobalStreamId,Long> val)

    - #### get_failed

          public Map<String,Map<GlobalStreamId,Long>> get_failed()

    - #### set_failed

          public void set_failed(Map<String,Map<GlobalStreamId,Long>> failed)

    - #### unset_failed

          public void unset_failed()

    - #### is_set_failed

          public boolean is_set_failed()

      Returns true if field failed is set (has been assigned a value) and false otherwise

    - #### set_failed_isSet

          public void set_failed_isSet(boolean value)

    - #### get_process_ms_avg_size

          public int get_process_ms_avg_size()

    - #### put_to_process_ms_avg

          public void put_to_process_ms_avg(String key,
                                            Map<GlobalStreamId,Double> val)

    - #### get_process_ms_avg

          public Map<String,Map<GlobalStreamId,Double>> get_process_ms_avg()

    - #### set_process_ms_avg

          public void set_process_ms_avg(Map<String,Map<GlobalStreamId,Double>> process_ms_avg)

    - #### unset_process_ms_avg

          public void unset_process_ms_avg()

    - #### is_set_process_ms_avg

          public boolean is_set_process_ms_avg()

      Returns true if field process_ms_avg is set (has been assigned a value) and false otherwise

    - #### set_process_ms_avg_isSet

          public void set_process_ms_avg_isSet(boolean value)

    - #### get_executed_size

          public int get_executed_size()

    - #### put_to_executed

          public void put_to_executed(String key,
                                      Map<GlobalStreamId,Long> val)

    - #### get_executed

          public Map<String,Map<GlobalStreamId,Long>> get_executed()

    - #### set_executed

          public void set_executed(Map<String,Map<GlobalStreamId,Long>> executed)

    - #### unset_executed

          public void unset_executed()

    - #### is_set_executed

          public boolean is_set_executed()

      Returns true if field executed is set (has been assigned a value) and false otherwise

    - #### set_executed_isSet

          public void set_executed_isSet(boolean value)

    - #### get_execute_ms_avg_size

          public int get_execute_ms_avg_size()

    - #### put_to_execute_ms_avg

          public void put_to_execute_ms_avg(String key,
                                            Map<GlobalStreamId,Double> val)

    - #### get_execute_ms_avg

          public Map<String,Map<GlobalStreamId,Double>> get_execute_ms_avg()

    - #### set_execute_ms_avg

          public void set_execute_ms_avg(Map<String,Map<GlobalStreamId,Double>> execute_ms_avg)

    - #### unset_execute_ms_avg

          public void unset_execute_ms_avg()

    - #### is_set_execute_ms_avg

          public boolean is_set_execute_ms_avg()

      Returns true if field execute_ms_avg is set (has been assigned a value) and false otherwise

    - #### set_execute_ms_avg_isSet

          public void set_execute_ms_avg_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(BoltStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue(BoltStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### isSet

          public boolean isSet(BoltStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(BoltStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(BoltStats other)

      Specified by:
        `compareTo` in interface `Comparable<BoltStats>`

    - #### fieldForId

          public BoltStats._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<BoltStats,BoltStats._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.